# Include instruction

The content of an SDL file can conveniently be divided into thematic files. \
It's also possible to extract common fragments of component descriptions and settings into separate files. \
Such files use the **.inc** or **.ext** extensions.

The content of these files can be invoked at the required location using the `include` instruction with the filename enclosed in double quotes. \
If the file is not in the same folder as the SDL being assembled, then the path from the root folder of the package should be specified.

> **Template for calling the `include` instruction**
>
> ```plaintext
> (include "[path]\filename" [args])
> ```
>
> * `[path]` - the file path, optional
> * `filename` - the file name
> * `[args]` - arguments, optional

<details>

<summary>Example of <strong>calling the <code>include</code> instruction</strong></summary>

```
;SDL
(include "human_grenade_throw_type.inc")
(include "human_lie.inc")
(include "human_swim.inc")
(include "human_snipe.inc")
(include "human_squat.inc")
(include "human_bazooka.inc")
(include "human_inventory.inc")
(include "human_look.inc")
(include "human_stand.inc")
(include "human_idle.inc")
(include "human_idle_temp.inc")
(include "human_hands.inc")
(include "human_death.inc")
```

*The content of the `human.set` file is assembled from several SDL files that are located in the same folder as the `human.set` file*

</details>

When calling the `include` instruction, you can pass argument values.

<details>

<summary>Example</summary>

`(include "shadow/stone.inc" sx(1) sy(3))`

</details>

Other examples of using the `include` instruction are provided in the table below.

<table><thead><tr><th width="198">Filename</th><th>Description</th></tr></thead><tbody><tr><td>human_death.inc</td><td>For convenience, this file contains the description of death animations for a human unit. <br>The contents of <code>human_death.inc</code> are included in the <code>human.set</code> file using the <code>include</code> instruction.</td></tr><tr><td>vehicle.ext</td><td>This file contains common properties for vehicle type units. <br>Its contents are called in files describing properties of units that are subtypes of vehicle: car, moto, airborne, marine, etc.</td></tr><tr><td>presets_vehicles.inc</td><td>This file contains settings for vehicle unit presets. <br>The contents of this file are called using the <code>include</code> instruction in all files describing game modes that use the presets described in <code>presets_vehicles.inc</code>.</td></tr></tbody></table>

{% hint style="info" %}
If you have difficulties understanding the terminology and the essence of the instruction description, please refer to the article [**Basic knowledge about configuration files**](/foundational-knowledge/basic-knowledge-about-configuration-files.md).
{% endhint %}

Additionally, you can explore other types of Instructions.

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td>Define Instruction</td><td></td><td></td><td><a href="/pages/L4iihm76TBtBBWKRRoac">/pages/L4iihm76TBtBBWKRRoac</a></td><td><a href="/files/ueYOF7YCEEu954WYabzW">/files/ueYOF7YCEEu954WYabzW</a></td></tr><tr><td>Mod Instruction</td><td></td><td></td><td><a href="/pages/lLIv06wTyrqRn7MN6uFH">/pages/lLIv06wTyrqRn7MN6uFH</a></td><td><a href="/files/ueYOF7YCEEu954WYabzW">/files/ueYOF7YCEEu954WYabzW</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bestway.com.ua/foundational-knowledge/basic-knowledge-about-configuration-files/include-instruction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
